function R = shlukovka(vsig)
vsig = sort(vsig); % seřazení vstupního signálu od nejmenšího po největší
if size(vsig,2)>=2
    Y = pdist(vsig'); % výpočet euklidovských vzdáleností, vstupní signál musí být v sloupcovém vektoru
    Z = linkage(Y);% vytvoření shluku z euklidových vzdáleností Y

    
    C = cluster(Z,'cutoff', 100,'criterion','distance')';% rozdělení na shluky,výpis shluků na řádek
    [hodnota, pozice] = sort(C); % seřazení hodnot, získáme i původní pozici
    hodnota1 = hodnota(1); % nastavení první hodnoty
    pozice1 = pozice(1); % nastavení první hodnoty
    for ind = 2 : size(hodnota,2)
       if hodnota(1,ind-1) == hodnota(1,ind)
        hodnota1 = hodnota1;
        pozice1 = pozice1;
       else
        hodnota1 = [hodnota1 hodnota(1,ind)];
        pozice1 = [pozice1 pozice(1,ind)];  
       end
    end
    [c,d] = sort(pozice1); % seřazení hodnot, získáme i původní pozici
    r = cell(1,size(hodnota,2)); % získání pozic shluků musí být v buňce aby nenastal matrix mismatch
    for i = hodnota
        r{i} = round(sort(vsig(C==d(i)))); % vytvořené shluky
    end
    r2 = [];
  for i = 1:size(r,2)
%       xz = r{1,i}; % načtení první buňky v array
%       neco = [];   % vytvoření prázdné proměnné
      if size(r{1,i},2) >= 2
          r2 = [r2 r{1,i}];
      end
      clear xz;
%         for ii = 1 : size(xz,2)
%          p(xz==xz(1,ii))=1;
%          neco = [neco;sum(p)];
%          clear p;
%         end
%         for iii = 1 : size(neco,1)
%             if neco(iii,1) >= 2
%                 r2 = [r2 xz(1,iii)];
%                 break
%             end
%         end
  end
    R{1} = r2; % přiřazení nalezených hodnot do proměné R
else
    R{1} = [];
end
end

%%jop
% s(sek1=='T')=t;
%% kop

